Loading...
Searching...
No Matches
juce::midi_ci::ChannelProfileStates Class Reference

## Detailed Description

Holds the number of channels that are supported and activated for all profiles at a particular channel address.

The documentation for this class was generated from the following file:

- juce_midi_ci/ci/juce_CIProfileStates.h

## Public Types

using | Entry = ProfileStateEntry

## Public Member Functions

SupportedAndActive | get (const Profile &profile) const
| Returns the number of channels that are supported and active for the given profile.
std::vector< Profile > | getActive () const
| Returns all profiles that are active at this address.
std::vector< Profile > | getInactive () const
| Returns all profiles that are supported but inactive at this address.
void | set (const Profile &profile, SupportedAndActive state)
| Sets the number of channels that are supported/active for a given profile.
void | erase (const Profile &profile)
| Removes the record of a particular profile, equivalent to removing support.
auto | begin () const
| Gets a const iterator over all profiles, for range-for compatibility.
auto | end () const
| Gets a const iterator over all profiles, for range-for compatibility.
auto | empty () const
| Returns true if no profiles are supported.
auto | size () const
| Returns the number of profiles that are supported at this address.

## Member Typedef Documentation

## Entry

using juce::midi_ci::ChannelProfileStates::Entry = ProfileStateEntry

## Member Functions

## get()

SupportedAndActive juce::midi_ci::ChannelProfileStates::get | ( | const Profile & | profile | ) | const

Returns the number of channels that are supported and active for the given profile.

## getActive()

std::vector< Profile > juce::midi_ci::ChannelProfileStates::getActive | ( |  | ) | const

Returns all profiles that are active at this address.

## getInactive()

std::vector< Profile > juce::midi_ci::ChannelProfileStates::getInactive | ( |  | ) | const

Returns all profiles that are supported but inactive at this address.

## set()

void juce::midi_ci::ChannelProfileStates::set | ( | const Profile & | profile,
|  | SupportedAndActive | state )

Sets the number of channels that are supported/active for a given profile.

## erase()

void juce::midi_ci::ChannelProfileStates::erase | ( | const Profile & | profile | ) |

Removes the record of a particular profile, equivalent to removing support.

## begin()

auto juce::midi_ci::ChannelProfileStates::begin | ( |  | ) | const

inline

Gets a const iterator over all profiles, for range-for compatibility.

## end()

auto juce::midi_ci::ChannelProfileStates::end | ( |  | ) | const

inline

Gets a const iterator over all profiles, for range-for compatibility.

## empty()

auto juce::midi_ci::ChannelProfileStates::empty | ( |  | ) | const

inline

Returns true if no profiles are supported.

## size()

auto juce::midi_ci::ChannelProfileStates::size | ( |  | ) | const

inline

Returns the number of profiles that are supported at this address.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited